webkit-0.12.3: Binding to the Webkit library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.WebKit.NetworkResponse

Contents

- Description
- Types
- Methods

Description

The response given to a network request

Synopsis

- data NetworkResponse
- class GObjectClass o => NetworkResponseClass o
- networkResponseSetUri :: NetworkResponseClass self => self -> String -> IO ()
- networkResponseGetUri :: NetworkResponseClass self => self -> IO (Maybe String)

# Description

This class represents the network related aspects of a navigation response.

# Types

data NetworkResponse Source

Instances

Eq NetworkResponse |
Ord NetworkResponse |
GObjectClass NetworkResponse |
NetworkResponseClass NetworkResponse |

class GObjectClass o => NetworkResponseClass o Source

Instances

NetworkResponseClass NetworkResponse |

# Methods

networkResponseSetUri Source

Arguments

:: NetworkResponseClass self |
=> self |
-> String | `uri` - the uri will be set to the response.
-> IO () |

Set the URI of `NetworkResponse`.

networkResponseGetUri Source

Arguments

:: NetworkResponseClass self |
=> self |
-> IO (Maybe String) | the URI or `Nothing` in case failed.

Return the uri of `NetworkResponse`.